<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddHook Method (IEdmCmdMgr5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCmdMgr5 Interface : AddHook Method (IEdmCmdMgr5)

Visual Basic
C#
C++/CLI

eCmdType
  Types of event that trigger IEdmAddIn5::OnCmd as defined in EdmCmdType

poReserved
  Null; reserved for future use

Adds a hook that makes SOLIDWORKS PDM Professional call this add-in's implementation of IEdmAddIn5::OnCmd whenever the specified events occur.

# Syntax

Visual Basic |
--- | ---

    Sub AddHook( _
       ByVal eCmdType As EdmCmdType, _
       Optional ByVal poReserved As System.Object _
    )

C# |
--- | ---

    void AddHook(
       EdmCmdType eCmdType,
       System.object poReserved
    )

C++/CLI |
--- | ---

    void AddHook(
    &   EdmCmdType eCmdType,
    &   System.Object^ poReserved
    )

#### Parameters

eCmdType
  Types of event that trigger IEdmAddIn5::OnCmd as defined in EdmCmdType
poReserved
  Null; reserved for future use

# Example

See IEdmCmdMgr5 examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmCmdMgr5 Interface
IEdmCmdMgr5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2